<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-BLOCK")) die();

	/*
	<%%>
	<?xml version="1.0" encoding="UTF-8"?>
	<blockscript>
		<info lang="en">
			<title>Tags</title>
			<description>Displays most popular tags.</description>
			<author><![CDATA[xiam &lt;<a href="mailto:xiam@users.sourceforge.net">xiam@users.sourceforge.net</a>&gt;]]></author>
			<homepage><![CDATA[<a href="http://www.gekkoware.org">http://www.gekkoware.org</a>]]></homepage>
		</info>
		<variable name="limit">10</variable>
	</blockscript>
	<%%>
	*/
	
	// loading library
	LoadLib("categories");

	$db =& $GLOBALS["db"];
	
	$q = $db->query("SELECT tag_name, tag_rank FROM ".db_table("category_tag")."
	ORDER by tag_name LIMIT 10", __FILE__, __LINE__);

	$tags = array();
	$max_rank = 0;
	
	while ($row = $db->fetchRow($q)) {
		$tags[] = $row;
		if ($row["tag_rank"] > $max_rank)
			$max_rank = $row["tag_rank"];
	}
	
	foreach ($tags as $tag)
		$return[] = "<span style=\"font-size: ".(($max_rank ? ceil($tag["tag_rank"]*8/$max_rank) : 0) + 8)."pt\">".mklink("index.php/module=categories/action=tag/category={$tag["tag_name"]}", $tag["tag_name"])."</span>";

	$return = implode(", ", $return);
?>