<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	LoadLib (
		"users", "comments", "format.lib.php"
	);

	Extract (
		UrlGetArgs("null/null/action=alpha?page=page")
	);

	switch ($action) {
		default: {
			$buff = new ContentBlock();

			$buff->insert("BLOCK_CONTENT", "comments/admin.default.tpl");

			$pager = $db->pager (
				"SELECT id FROM ".db_table("comment")." WHERE parent='0'",
				"index.php/module=admin/base=comments?page=%p", $page, conf::getkey("comments", "items_per_page")
			);

			$q = $db->query ("
				SELECT
					id, module, url, thread, author_id, nickname, email, icon, title, content, date_created, ipaddr
				FROM ".db_table("comment")." WHERE parent='0'
				ORDER BY date_created DESC ".$pager["sql"]."
			", __FILE__, __LINE__);

			if ($db->numRows($q)) {
				while ($row = $db->fetchRow($q)) {

					Comments::prepareRow($row);
					$row["buttons"] = Comments::mkbuttonbox($row["id"], Comments::authEdit($row), false);
					$row["title"]= mkLink("index.php/module={$row["module"]}/action=view?id={$row["thread"]}", $row["title"]);

					$buff->setArray($row, "COMMENT");
					$buff->saveBlock("COMMENT");
				}

				$buff->setArray (
					Array (
						"BLOCK_TITLE"	=> _l("L_COMMENTS"),
						"BLOCK_ICON"	=> mkicon("comments.png"),
						"PAGER"			=> $pager["html"]
					)
				);

				$mcBuff = $buff->make();;
			}
		}
	}

?>