<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-BLOCK")) die();

	/*
	<%%>
	<?xml version="1.0" encoding="UTF-8"?>
	<blockscript>
		<info lang="en">
			<title>Extensions</title>
			<description>This block allows users to see a Gekko extension.</description>
			<author><![CDATA[xiam &lt;<a href="mailto:xiam@users.sourceforge.net">xiam@users.sourceforge.net</a>&gt;]]></author>
			<homepage><![CDATA[<a href="http://www.gekkoware.org">http://www.gekkoware.org</a>]]></homepage>
		</info>
		<variable name="extension_name">tagboard</variable>
		<variable name="items">3</variable>
		<variable name="id">1</variable>
		<variable name="order">1</variable>
	</blockscript>
	<%%>
	*/

	LoadLib (
		"extensions"
	);

	if ($extension_name) {
		if (($include = Extensions::GetComponent($extension_name, "display")) != false) {

			if (!$items) $items = 1;
			if (!$order) $order= 1;
			if (!$id) $id = 1;

			if (conf::getkey("extensions", $extension_name)) {
				Extensions::LoadLanguage($extension_name);
				include $include;
			} else {
				$return = mkMessageBox("error", "Extension '$extension_name' is disabled.");
			}

		} else {
			$return = mkMessageBox("error", "Extension '$extension_name' doesn't exists!");
		}
	}

?>