<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	Extract (
		URLGetArgs ("null/null/null?id=int")
	);

	switch ($action) {
		case "edit":
			if ($id) {

				$tpl = new ContentBlock();

				$tpl->insert("BLOCK_CONTENT", GEKKO_EXTENSIONS_DIR."aggregator/templates/admin.tpl");

				$db->query("
					SELECT id, url, type FROM ".db_table("extension_aggregator")." WHERE id = '{$id}'
				");

				if ($db->numRows()) {
					$row = $db->fetchRow();
					saneHTML($row);

					$tpl->setArray (
						Array (
							"BLOCK_TITLE"		=> _l("L_EXTENSION_AGGREGATOR"),
							"BLOCK_ICON"		=> mkIcon("aggregator.png", 16),
							"ACTION"			=> "edit",
							"RETURN"			=> "index.php/module=admin/base=extensions/extension=aggregator"
						)

					);

					$tpl->setArray($row);

					$mcBuff = $tpl->make();
				}
			}

		break;
		default:
			$tpl = new ContentBlock();

			$tpl->insert("BLOCK_CONTENT", GEKKO_EXTENSIONS_DIR."aggregator/templates/admin.tpl");

			$db->query ("
				SELECT
					id, url, type
				FROM ".db_table("extension_aggregator")."
				ORDER BY id ASC
			", __FILE__, __LINE__);

			while ($row = $db->fetchRow()) {

				$row["ACTIONS"] = new tplButtonBox();
					$row["ACTIONS"]->add(mklink("index.php/module=admin/base=extensions/extension=aggregator/action=edit?id={$row["id"]}", _l("L_EDIT"), "edit.png"));
					$row["ACTIONS"]->add(mklink("modules/extensions/main.act.php?extension=aggregator&action=delete&id={$row["id"]}&auth={C_AUTH_STR}", _l("L_DELETE"), "delete.png", true));
					$row["ACTIONS"]->add(mklink("modules/extensions/main.act.php?action=createblock&extension=aggregator&id={$row["id"]}&auth={C_AUTH_STR}", _l("L_CREATE_BLOCK"), "blocks.png"));
				$row["ACTIONS"] = $row["ACTIONS"]->make();

				$tpl->setArray($row, "AGGREGATOR");
				$tpl->saveBlock("AGGREGATOR");
			}

			$tpl->setArray (
				Array (
					"BLOCK_TITLE"		=> _l("L_EXTENSION_AGGREGATOR"),
					"BLOCK_ICON"		=> mkIcon("aggregator.png", 16),
					"URL"				=> "http://www.example.org/rss.xml",
					"TYPE"				=> conf::getkey("extensions", "aggregator.default_feed"),
					"RETURN"			=> "",
					"ACTION"			=> "add"
				)
			);
			$mcBuff = $tpl->make();
		break;
	}
?>