<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	function extension_aggregator_configure() {
		conf::getKey("extensions", "aggregator.default_feed", "rss", "s");
		conf::getKey("extensions", "aggregator.cache_life", 3600, "i");
	}
	
	function extension_aggregator_install() {
		$GLOBALS["db"]->query("
		CREATE TABLE ".db_table("extension_aggregator")." (
			id TINYINT UNSIGNED NOT NULL AUTO_INCREMENT, PRIMARY KEY (ID),
			url VARCHAR (225) NOT NULL,
			type VARCHAR (16) NOT NULL
		)", __FILE__, __LINE__, true);
	}
	
	function extension_aggregator_uninstall() {
		$GLOBALS["db"]->query("DROP TABLE IF EXISTS ".db_table("extension_aggregator"), __FILE__, __LINE__, true);
	}
	
?>