<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2005, Josu�Gerardo Guti�rez Hdez. <blacknash@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		Josu�Gerardo Guti�rez Hdez. <blacknash@users.sf.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	Extract (
		URLGetArgs ("null/null/null?id=int&page=page")
	);

	setDefault("page", 1);

	switch ($action) {
		case "edit":
			if ($id) {
				$tpl = new ContentBlock();

				$tpl->insert("BLOCK_CONTENT", GEKKO_EXTENSIONS_DIR."phrases/templates/admin.tpl");

				$db->query("
					SELECT id, phrase, author FROM ".db_table("extension_phrases")." WHERE id = '{$id}'
				");

				if ($db->numRows()) {
					$row = $db->fetchRow();
					saneHTML($row);

					$tpl->setArray (
						Array (
							"BLOCK_TITLE"		=> _l("L_EXTENSION_PHRASES"),
							"BLOCK_SUBTITLE"	=> _l("L_EDIT"),
							"BLOCK_ICON"		=> mkIcon("phrases.png", 16),
							"ACTION"			=> "edit",
							"RETURN"			=> "index.php/module=admin/base=extensions/extension=phrases"
						)

					);

					$tpl->setArray($row);

					$mcBuff = $tpl->make();
				}
			}

		break;
		default:
			$tpl = new ContentBlock();

			$tpl->insert("BLOCK_CONTENT", GEKKO_EXTENSIONS_DIR."phrases/templates/admin.tpl");

			$pager = $db->pager (
				"SELECT id FROM ".db_table("extension_phrases")."",
				"index.php/module=admin/base=extensions/extension=phrases?page=%p", $page, conf::getkey("extensions", "phrases.items_per_admin_page")
			);

			$db->query ("
				SELECT
					id, phrase, author
				FROM ".db_table("extension_phrases")."
				ORDER BY id ASC {$pager["sql"]}
			", __FILE__, __LINE__);

			while ($row = $db->fetchRow()) {
				saneHTML($row, "content");

				$row["ACTIONS"] = new tplButtonBox();
				$row["ACTIONS"]->add(mklink("index.php/module=admin/base=extensions/extension=phrases/action=edit?id={$row["id"]}", _l("L_EDIT"), "edit.png"));
				$row["ACTIONS"]->add(mklink("modules/extensions/main.act.php?extension=phrases&action=delete&id={$row["id"]}&auth={C_AUTH_STR}", _l("L_DELETE"), "delete.png", true));
				$row["ACTIONS"] = $row["ACTIONS"]->make();

				$tpl->setArray($row, "PHRASE");
				$tpl->saveBlock("PHRASE");
			}

			$tpl->setArray (
				Array (
					"BLOCK_TITLE"		=> _l("L_EXTENSION_PHRASES"),
					"BLOCK_SUBTITLE"	=> _l("L_NEW_PHRASE"),
					"BLOCK_ICON"		=> mkIcon("phrases.png", 16),
					"PHRASE"			=> "",
					"AUTHOR"			=> "",
					"ACTION"			=> "add",
					"RETURN"			=> "",
					"PAGER"				=> $pager["html"]
				)
			);
			$mcBuff = $tpl->make();
		break;
	}
?>