<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	function extension_snapshot_configure() {
		conf::getKey("extensions", "snapshot.cache_life", 3600*12, "i");
		conf::getKey("extensions", "snapshot.longest_side", 120, "i");
	}

	function extension_snapshot_install() {
		$GLOBALS["db"]->query("
		CREATE TABLE ".db_table("extension_snapshot")." (
			id TINYINT UNSIGNED NOT NULL AUTO_INCREMENT, PRIMARY KEY (ID),
			image_url VARCHAR (255) NOT NULL,
			title VARCHAR (255) NOT NULL,
			link VARCHAR (255) NOT NULL
		)", __FILE__, __LINE__, true);
	}
	
	function extension_snapshot_uninstall() {
		$GLOBALS["db"]->query("DROP TABLE IF EXISTS ".db_table("extension_snapshot"), __FILE__, __LINE__, true);
	}
?>