<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-GEKKO")) die("Get a Life!");

	switch ($action) {
		case "post":

			varImport("nickname", "link", "message");
			varRequire("message");

			// inserting into database
			$db->query ("
			INSERT INTO ".db_table("extension_tagboard")."
				(
					id,
					author_id,
					author_ip,
					date_created,
					nickname,
					link,
					message
				)
					VALUES
				(
					'".$db->findFreeId("extension_tagboard")."',
					'".(isset($USER["id"]) ? $USER["id"]: 0)."',
					'".getIP()."',
					CURRENT_TIMESTAMP(),
					'{$nickname}',
					'{$link}',
					'{$message}'
				)
			", __FILE__, __LINE__);

			// remember user preferences
			if ($nickname)
				set_userconf("nickname", htmlspecialchars($nickname));

			if ($link)
				set_userconf("link", htmlspecialchars($link));

			slog("tagboard: post", "actions", 1);
		break;
	}

	if (is_admin()) {
		switch ($action) {
			case "delete":
				// id is passed as an array
				foreach ($id as $i)
					$db->query("DELETE FROM ".db_table("extension_tagboard")." WHERE id='{$i}'", __FILE__, __LINE__);

			break;
			case "edit":
				// modifying messages
				varImport("message");

				foreach ($message as $id => $content) {
					$db->query("UPDATE ".db_table("extension_tagboard")."
					SET message = '{$content}' WHERE id = '{$id}'",
					__FILE__, __LINE__);
				}
			break;
		}
	}
?>