<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	function extension_tagboard_configure() {
		conf::getKey("extensions", "tagboard.auth_post", "*", "s");
		conf::getKey("extensions", "tagboard.max.items", "15", "i");
	}
	function extension_tagboard_upgrade($provided_v) {
		$db =& $GLOBALS["db"];

		if (packages::checkVersion("0.6.5", $provided_v) < 0) {
			$db->query("ALTER TABLE ".db_table("extension_tagboard")."
				CHANGE userid author_id SMALLINT (8) UNSIGNED NOT NULL,
				CHANGE userip author_ip VARCHAR (32),
				ADD COLUMN date_created DATETIME NOT NULL default '0000-00-00 00:00:00'
			", __FILE__, __LINE__, true);

			$q = $db->query("SELECT id, creationtime FROM ".db_table("extension_tagboard"),__FILE__, __LINE__, true);

			while ($row = $db->fetchRow($q))
				$db->query("UPDATE ".db_table("extension_tagboard")." SET date_created = '".time2date($row["creationtime"])."' WHERE id = '{$row["id"]}'", __FILE__, __LINE__, true);

			$db->query("ALTER TABLE ".db_table("extension_tagboard")."DROP COLUMN creationtime", __FILE__, __LINE__, true);

		}
	}
	function extension_tagboard_install() {
		$db =& $GLOBALS["db"];
		$db->query("
		CREATE TABLE ".db_table("extension_tagboard")." (
			id MEDIUMINT (8) UNSIGNED NOT NULL AUTO_INCREMENT, PRIMARY KEY (ID),
			author_id SMALLINT (8) UNSIGNED NOT NULL,
			author_ip VARCHAR (32),
			date_created DATETIME NOT NULL default '0000-00-00 00:00:00',
			nickname VARCHAR (32),
			link VARCHAR (32),
			message TEXT
		)
		",__FILE__, __LINE__, true);
	}
	function extension_tagboard_uninstall() {
		$GLOBALS["db"]->query("DROP TABLE IF EXISTS ".db_table("extension_tagboard"),__FILE__, __LINE__, true);
	}


?>