<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-GEKKO")) die("Get a Life!");

	if (is_admin()) {
		switch ($action) {
			case "createblock":

				LoadLib ("blocks");

				$block_id = Blocks::simpleCreate (
					_l("L_WEATHER"),
					"",
					"extensions/display.php",
					"extension_name={$extension}\nid=$id",
					"weather.png"
				);

				$return = urlEvalPrototype("index.php/module=admin/base=blocks/action=edit?id={$block_id}", true, false);

				// avoiding action confusion
				$action = "";
			break;
			case "add":

				varImport("accid", "temp_unit", "city");

				varRequire("accid");

				$db->query ("
					INSERT INTO ".db_table("extension_weather")."
					(
						id,
						accid,
						city,
						temp_unit
					)
						VALUES
					(
						'".$db->findFreeId("extension_weather")."',
						'{$accid}',
						'{$city}',
						'{$temp_unit}'
					)
				", __FILE__, __LINE__);

			break;
			case "delete":
				varRequire("id");
				$db->query("DELETE FROM ".db_table("extension_weather")." WHERE id='{$id}'", __FILE__, __LINE__);
			break;
			case "edit":
				varImport("id", "accid", "temp_unit");
				varRequire("id");

				$db->query("
					UPDATE ".db_table("extension_weather")." SET
						accid = '{$accid}',
						temp_unit = '{$temp_unit}'
					WHERE id = '{$id}'
				", __FILE__, __LINE__);
			break;
		}
	}
?>