<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	function extension_weather_configure() {
		conf::getKey("extensions", "weather.default_accid", "MXOA0069", "s");
	}

	function extension_weather_install() {
		$GLOBALS["db"]->query("
		CREATE TABLE ".db_table("extension_weather")." (
			id TINYINT UNSIGNED NOT NULL AUTO_INCREMENT, PRIMARY KEY (ID),
			city VARCHAR (64) NOT NULL,
			temp_unit ENUM('0', '1') default '0',
			accid VARCHAR (255)
		)", __FILE__, __LINE__, true);
	}
	
	function extension_weather_uninstall() {
		$GLOBALS["db"]->query("DROP TABLE IF EXISTS ".db_table("extension_weather"), __FILE__, __LINE__, true);
	}
	
?>