<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	Extract (
		URLGetArgs("null/null/action=alpha?id=int&page=page")
	);

	switch ($action) {
		case "edit":
			if ($id) {
				$tpl = new ContentBlock();

				$tpl->insert("BLOCK_CONTENT", "glossary/admin.edit.tpl");

				$q = $db->query("SELECT  id, term, url, description
				FROM ".db_table("glossary")." WHERE id = '{$id}'");

				if ($db->numRows($q)) {

					$row = $db->fetchRow($q);

					saneHTML($row, "description");

					$tpl->setArray($row);

					$actions = new tplButtonBox();
					$actions->add (
						mklink("index.php/module=admin/base=glossary", _l("L_GLOSSARY"), "glossary.png"),
						mklink("index.php/module=admin/base=glossary/action=create", _l("L_CREATE"), "new.png")
					);
					$actions = $actions->make();

					$tpl->setArray (
						Array (
							"BLOCK_TITLE"		=> _l("L_GLOSSARY"),
							"BLOCK_ICON"		=> mkIcon("memos.png", 16),
							"ACTION"			=> $action,
							"RETURN"			=> "index.php/module=admin/base=glossary",
							"ACTIONS"			=> $actions
						)
					);

					$mcBuff = $tpl->make();

				}
			}

		break;
		case "create":

			$tpl = new ContentBlock();

			$tpl->insert("BLOCK_CONTENT", "glossary/admin.$action.tpl");

			$actions = new tplButtonBox();
			$actions->add (
				mklink("index.php/module=admin/base=glossary", _l("L_GLOSSARY"), "glossary.png")
			);
			$actions = $actions->make();

			$tpl->setArray (
				Array (
					"BLOCK_TITLE"		=> _l("L_GLOSSARY"),
					"BLOCK_ICON"		=> mkIcon("glossary.png", 16),
					"TERM"				=> "",
					"DESCRIPTION"		=> "",
					"URL"				=> "",
					"ACTION"			=> $action,
					"ACTIONS"			=> $actions,
					"RETURN"			=> "index.php/module=admin/base=glossary"
				)
			);

			$mcBuff = $tpl->make();

		break;
		default:
			$tpl = new ContentBlock();

			$tpl->insert("BLOCK_CONTENT", "glossary/admin.default.tpl");

			$pager = $db->pager (
				"SELECT id FROM ".db_table("glossary")."",
				"index.php/module=admin/base=glossary?page=%p", $page,
				conf::getkey("glossary", "items_per_admin_page", 20, 'i')
			);

			$q = $db->query ("
				SELECT id, term, url, description FROM ".db_table("glossary")."
				ORDER BY term ASC {$pager["sql"]}
			", __FILE__, __LINE__);

			while ($row = $db->fetchRow($q)) {

				$row["ACTIONS"] = new tplButtonBox();
				$row["ACTIONS"]->add (
					mklink("index.php/module=admin/base=glossary/action=edit?id={$row["id"]}", _l("L_EDIT"), "edit.png"),
					mklink("modules/glossary/main.act.php?action=delete&id={$row["id"]}&auth={C_AUTH_STR}", _l("L_DELETE"), "delete.png", true)
				);
				$row["ACTIONS"] = $row["ACTIONS"]->make();

				$tpl->setArray($row, "TERM");
				$tpl->saveBlock("TERM");
			}

			$actions = new tplButtonBox();
			$actions->add (
				mklink("index.php/module=admin/base=glossary/action=create", _l("L_CREATE"), "new.png")
			);
			$actions = $actions->make();

			$tpl->setArray (
				Array (
					"BLOCK_TITLE"		=> _l("L_GLOSSARY"),
					"BLOCK_ICON"		=> mkIcon("glossary.png", 16),
					"ACTIONS"			=> $actions,
					"PAGER"				=> $pager["html"]
				)
			);
			$mcBuff = $tpl->make();

		break;
	}
?>