<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-BLOCK")) die();

	/*
	<%%>
	<?xml version="1.0" encoding="UTF-8"?>
	<blockscript>
		<info lang="en">
			<title>Random term</title>
			<description>Shows a random glossary term.</description>
			<author><![CDATA[xiam &lt;<a href="mailto:xiam@users.sourceforge.net">xiam@users.sourceforge.net</a>&gt;]]></author>
			<homepage><![CDATA[<a href="http://www.gekkoware.org">http://www.gekkoware.org</a>]]></homepage>
		</info>
		<variable name="items">1</variable>
	</blockscript>
	<%%>
	*/

	$db =& $GLOBALS["db"];

	$q = $db->query("SELECT term, url, description, author_id
		FROM ".db_table("glossary") ." ORDER BY RAND() LIMIT $items",
	__FILE__, __LINE__, true);

	$return = array();

	if ($db->numRows($q)) {
		$row = $db->fetchRow($q);

		saneHTML($row, "description");
		format::style($row["description"], $row["author_id"]);

		if (!$row["url"])
			$row["url"] = "index.php/module=glossary/action=view/term=".rawurlencode($row["term"])."";

		$tmp = "";
		$tmp .= "<b>".mklink($row["url"], $row["term"])."</b>: \n";
		$tmp .= "{$row["description"]}";

		$return[] = $tmp;
	}

	$return = implode("<hr />", $return);

?>