<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	LoadLib ("glossary");

	Class Plugin_modGlossary {
		function Plugin_modGlossary() {
			$PluginCore =& $GLOBALS["PluginCore"];
			$PluginCore->Register("plugin_modglossary", "gbbcodeparser_parse");
		 }
		 function Invoke ($event, $buff) {
		 	if (gekkoModule::isInstalled("glossary")) {
				switch ($event) {
					case "gbbcodeparser_parse":

						$content =& $buff["content"];

						$content = " $content ";
						$patterns = Array();

						$terms = glossary::getTerms();

						foreach ($terms as $term) {
							// linking directly to url
							$content = preg_replace_callback("/(<a.*?\/a>)|(<code.*?\/code>)|(<[^>]*?>)|(\b(".preg_quote($term["term"]).")\b)/ium",
								@create_function('$a', 'return isset($a[3]) ? "<a href=\"'.addslashes($term["url"] ? htmlspecialchars($term["url"]) : urlEvalPrototype("index.php/module=glossary/action=view/term=".rawurlencode($term["term"])."")).'\">{$a[0]}</a>" : $a[0];'),
								$content);
						}
						$content = trim($content);
					break;
				}
			}
			return $buff;

		}
	}
?>