<?php

	/*
	*	Gekko - Open Source Web Content Management System
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2005, Josu�Gerardo Guti�rez Hdez. <blacknash@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		Josué Gerardo Gutiérrez Hdez. <blacknash@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	Extract (
		URLGetArgs("null/null/action=alpha?id=int&page=page")
	);

	LoadLib (
		"calendar.lib.php", "categories", "memos"
	);

	switch ($action) {
		case "logs":
			header("content-type: text/plain");

			$db->query("SELECT date, event, description
			FROM ".db_table("memos")." WHERE date < '".date("Y-m-d",time())."' ORDER BY id",
			__FILE__, __LINE__);

			while ($row = $db->fetchRow()) {
				printf("[%8s] %s : %s\n",dateFormat( $row["date"],"d/m/Y"),$row["event"],$row["description"]);
			}

			abort();
		break;
		case "edit":
			if ($id) {

				$tpl = new ContentBlock();
				$tpl->insert("BLOCK_CONTENT", "memos/admin.$action.tpl");

				$q = $db->query("SELECT *,round((date-timefordate)/1000000) AS remember FROM ".db_table("memos")." WHERE id = '{$id}'",
				__FILE__, __LINE__);

				if ($db->numRows($q)) {
					$row = $db->fetchRow($q);
					saneHTML($row, "description");
						$actions = new tplButtonBox();
						$actions->add(mkLink("index.php/module=admin/base=memos/action=logs/from=past", _l("L_MEMOS"), "memos.png"));
						$actions->add(mkLink("modules/memos/main.act.php?id={$row["id"]}&action=create_block&auth={L_AUTH_STR}", _l("L_CREATE_BLOCK"), "blocks.png"));
					$actions = $actions->make();
					$tpl->setArray ($row);
					$tpl->setArray (
						Array (
							"BLOCK_TITLE"	=> _l("L_MEMOS"),
							"BLOCK_ICON"	=> mkIcon("memos.png", 16),
							"ACTION"		=> $action,
							"REPEAT"		=> $row["typeofrepeat"],
							"RETURN"		=> "index.php/module=admin/base=memos",
							"ACTIONS"		=> $actions
						)
					);

					$mcBuff = $tpl->make();
				}
			}
		break;
		default:
			$tpl = new ContentBlock();

			$tpl->insert("BLOCK_CONTENT", "memos/admin.default.tpl");

			$pager = $db->pager ("SELECT id FROM ".db_table("memos")."",
				"index.php/module=admin/base=memos?page=%p", $page,
				conf::getkey("memos", "items_per_admin_page"));

			$q = $db->query ("SELECT * FROM ".db_table("memos")."
			ORDER BY date ASC {$pager["sql"]}", __FILE__, __LINE__);

			while ($row = $db->fetchRow($q)) {
				$unixtime = date2time($row["date"]);

				if ($unixtime < time() && $row["typeofrepeat"] != 0)
					memos::makeInterval($row["id"], $row["typeofrepeat"], $row["date"], $row["timefordate"]);

				$block = ($unixtime > time()) ? "MEMO" : "PAST";

				$row["ACTIONS"] = new tplButtonBox();
				$row["ACTIONS"]->add (
					mklink("modules/memos/main.act.php?action=create_block&id={$row["id"]}&auth={C_AUTH_STR}", _l("L_CREATE_BLOCK"), "blocks.png"),
					mklink("index.php/module=admin/base=memos/action=edit?id={$row["id"]}", _l("L_EDIT"), "edit.png"),
					mklink("modules/memos/main.act.php?action=delete&id={$row["id"]}&auth={C_AUTH_STR}", _l("L_DELETE"), "delete.png", true)
				);

				$row["ACTIONS"] = $row["ACTIONS"]->make();
				$tpl->setArray($row, $block);
				$tpl->saveBlock($block);
			}

			$actions = new tplButtonBox();
				$actions->add(mkLink("modules/memos/main.act.php?action=create_block&auth={L_AUTH_STR}", _l("L_CREATE_BLOCK"), "blocks.png"));
				$actions->add(mkLink("index.php/module=admin/base=memos/action=logs/from=past", _l("L_PAST_EVENTS"), "logs.png"));
			$actions = $actions->make();

			$tpl->setArray (
				Array (
					"BLOCK_TITLE"		=> _l("L_MEMOS"),
					"BLOCK_SUBTITLE"	=> _l("L_ADD_EVENT"),
					"BLOCK_ICON"		=> mkIcon("memos.png", 16),
					"REMEMBER"			=> 1,
					"ACTIONS"			=> $actions,
					"EVENT"				=> "",
					"REMEMBER"			=> 1,
					"EVENT"				=> "",
					"DESCRIPTION"		=> "",
					"ACTION"			=> "add",
					"CATEGORY"			=> "",
					"RETURN"			=> "",
					"DATE"				=> date("Y-m-d"),
					"REPEAT" 			=> 0,
					"PAGER"				=> $pager["html"]
				)
			);
			$mcBuff = $tpl->make();

		break;
	}
?>