<?php

	/*
	*	Gekko - Open Source Web Content Management System
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2005, Josu�Gerardo Guti�rez Hdez. <blacknash@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		Josu�Gerardo Guti�rez Hdez. <blacknash@users.sf.net>
	*	@link		http://gekkoware.sourceforge.net
	*/

	if (!defined("IN-BLOCK")) die();

	/*
	<%%>
	<?xml version="1.0" encoding="UTF-8"?>
	<blockscript>
		<info lang="en">
			<title>Pending Events</title>
			<description>A block that  show our pending events</description>
			<author><![CDATA[BlacKNasH &lt;<a href="mailto:blacknash@users.sourceforge.net">blacknash@users.sourceforge.net</a>&gt;]]></author>
			<homepage><![CDATA[<a href="http://www.gekkoware.org">http://www.gekkoware.org</a>]]></homepage>
		</info>
		<info lang="es">
			<title><![CDATA[Eventos Pendientes]]></title>
			<description><![CDATA[Bloque que muestra eventos pendientes]]></description>
		</info>
		<variable name="id">0</variable>
	</blockscript>
	<%%>
	*/

	$db =& $GLOBALS["db"];

	if ($id) {
		$q = $db->query("SELECT id, event, description, date, timefordate, round((date-NOW())/1000000) AS remaining_days
			FROM ".db_table("memos") ." WHERE timefordate <= NOW()
			AND date >= CURRENT_DATE() AND id = '{$id}'",
		__FILE__, __LINE__, true);
	} else {
		$q = $db->query("SELECT id, event, description, date, timefordate, round((date-NOW())/1000000) AS remaining_days
			FROM ".db_table("memos") ." WHERE timefordate <= NOW()
			AND date >= CURRENT_DATE() ORDER BY remaining_days, rand() LIMIT 1",
		__FILE__, __LINE__, true);
	}

	$tpl = new ContentBlock();
	$tpl->load("memos/memo.block");
	while ($row = $db->fetchRow($q)) {
		
		$row["event"] = mklink("index.php/module=memos/action=view?id={$row["id"]}", $row["event"]);
		$tpl->setArray ($row, 'MEMO');
		$tpl->saveBlock('MEMO');
	}

	if ($db->numRows($q) || !$id)
		$return = $tpl->make();
	else
		$return = -1; // hiding block
?>