<?php

	/*
	*	Gekko - Open Source Web Content Management System
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2005, Josu�Gerardo Guti�rez Hdez. <blacknash@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		Josu�Gerardo Guti�rez Hdez. <blacknash@users.sf.net>
	*	@link		http://gekkoware.sourceforge.net
	*/

	define ("IN-GEKKO", true);

	require_once "../../conf.php";

	require_once GEKKO_SOURCE_DIR."lib/auth.inc.php";

	varImport("action", "return", "id");

	if (is_admin()) {
		switch ($action) {
			case "create_block":
				LoadLib("blocks");
				$block_id = Blocks::simpleCreate("{L_MEMOS}", "", "memos/memos.php", ($id ? "id=$id" : ''), "memos.png");
				$return = "index.php/module=admin/base=blocks/action=edit?id={$block_id}";
			break;
			case "add":
				varImport("event", "category", "day_of_date", "remember", "description","repeat");
				varRequire("event", "category", "day_of_date", "remember");

				$day_of_date = explode("/",$day_of_date);
				$day_of_date = "{$day_of_date[2]}/{$day_of_date[1]}/{$day_of_date[0]}";

				editorApplyFixes($description);

				$db->query ("
					INSERT INTO ".db_table("memos")."(
						id,
						event,
						category,
						timefordate,
						date,
						description,
						author_id,
						typeofrepeat
					)
						VALUES
					(
						'".$db->findFreeId("memos")."',
						'{$event}',
						'{$category}',
						'".date("Y/m/d", strtotime("-$remember days",strtotime($day_of_date)))."',
						'{$day_of_date}',
						'{$description}',
						'{$USER["id"]}',
						'{$repeat}'
					)", __FILE__, __LINE__
					);
			break;
			case "delete":
				varRequire("id");
				$db->query("DELETE FROM ".db_table("memos")." WHERE id='{$id}'", __FILE__, __LINE__);
			break;
			case "edit":
				varImport("event", "category", "day_of_date", "remember", "description","repeat");
				varRequire("event", "category", "day_of_date", "remember");

				$day_of_date = explode("/",$day_of_date);
				$day_of_date = "{$day_of_date[2]}/{$day_of_date[1]}/{$day_of_date[0]}";

				editorApplyFixes($description);

				$db->query("
					UPDATE ".db_table("memos")." SET
						event = '{$event}',
						category = '{$category}',
						timefordate = '".date("Y/m/d",strtotime("-$remember days",strtotime($day_of_date)))."',
						date = '{$day_of_date}',
						description = '{$description}',
						typeofrepeat = '{$repeat}'
					WHERE id = '{$id}'
				", __FILE__, __LINE__);
			break;
		}
	}

	redirect($return);

	db_exit();
?>