<?php
	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		Josue Gerardo Gutierrez Hdez. <blacknash@users.sf.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	Class Memos {
		function buildCalendar ($month = 0, $year = 0,$popup) {
			if (!$month || !$year)
				list ($month, $year) = explode(":", date("m:Y"));

			// number of days for this month/year
			$month_days = date("t", mktime(0, 0, 0, $month, 1, $year));

			$calendar = new Calendar($month, $year);
			// Making and link for each day
			while ($month_days > 0) {
				$calendar->set_html ($month_days,"<a href=\"javascript:showdate($month_days, $month, $year);gekkoPopup.close('$popup')\">$month_days</a>");
				$month_days--;
			}
			// Building the Calendar
			return $calendar->make();
		}
		function getLinkTime(){
			return array(_l("L_ONLY_ONCE"), _l("L_EVERY_WEEK"), _l("L_EVERY_MONTH"), _l("L_EVERY_YEAR"));
		}
		function getTime($ar,$var){
			return $ar[$var];
		}
		function makeInterval($id,$type,$date,$timefor){
			switch($type){
				case 1:$days=8;break;
				case 2:$days=30;break;
				case 3:$days=365;break;
			}
			$db =& $GLOBALS["db"];
			$db->query("
					UPDATE ".db_table("memos")." SET
						timefordate='".date("Y/m/d",strtotime("+$days days",strtotime($timefor)))."',
						date= '".date("Y/m/d",strtotime("+$days days",strtotime($date)))."'
					WHERE id = '{$id}'
				", __FILE__, __LINE__);

		}
	}
?>