<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-BLOCK")) die();

	/*
	<%%>
	<?xml version="1.0" encoding="UTF-8"?>
	<blockscript>
		<info lang="en">
			<title>Archive</title>
			<description>News archive sorted by month for the last year</description>
			<author><![CDATA[xiam &lt;<a href="mailto:xiam@users.sourceforge.net">xiam@users.sourceforge.net</a>&gt;]]></author>
			<homepage><![CDATA[<a href="http://www.gekkoware.org">http://www.gekkoware.org</a>]]></homepage>
		</info>
		<variable name="catid">1</variable>
	</blockscript>
	<%%>
	*/

	LoadLib ("categories");

	$db =& $GLOBALS["db"];

	$events = Array();

	$categorylock = categories::db_categorylock("category_id");

	$q = $db->query("SELECT id, title, date_created
	FROM ".db_table("news")."
	WHERE status = '1'
	AND date_created >= '".(date("Y")-1)."-".date("j")."-".date("n")."' AND ({$categorylock})
	ORDER BY date_created DESC",
	__FILE__, __LINE__);

	while ($row = $db->fetchRow($q)) {
		saneHTML($row);
		$month = substr($row["date_created"], 0, 7);
		// updating event counter
		$events[$month] = isset($events[$month]) ? $events[$month]+1 : 1;
	}

	$last_year = false;
	foreach ($events as $month => $counter) {

		list($year, $month) = explode("-", $month);

		if ($last_year != $year) {
			$return .= "<h4>$year</h4>\n";
			$last_year = $year;
		}

		$return .= mklink("index.php/module=news?date=$year-$month", htmlentities(ucwords(strftime("%B %Y ($counter)", mktime(0,0,0,$month,1,$year)))));
	}
?>