<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-BLOCK")) die();

	/*
	<%%>
	<?xml version="1.0" encoding="UTF-8"?>
	<blockscript>
		<info lang="en">
			<title>Most read</title>
			<description>Shows a list of the most read entries</description>
			<author><![CDATA[xiam &lt;<a href="mailto:xiam@users.sourceforge.net">xiam@users.sourceforge.net</a>&gt;]]></author>
			<homepage><![CDATA[<a href="http://www.gekkoware.org">http://www.gekkoware.org</a>]]></homepage>
		</info>
		<variable name="limit">5</variable>
	</blockscript>
	<%%>
	*/

	LoadLib ("format.lib.php", "categories", "news");

	$db =& $GLOBALS["db"];

	$categorylock = categories::db_categorylock("category_id");

	$q = $db->query("SELECT
	id, author_id, category_id, icon, title, date_created
	FROM ".db_table("news")."
	WHERE status = '1' AND ($categorylock) ORDER BY page_reads DESC LIMIT {$limit}",
	__FILE__, __LINE__, true);

	$return = Array();

	while ($row = $db->fetchRow($q))
		$return[] = news::prepareBlockForDisplay($row);

	$return = implode("<hr />\n", $return);
?>