<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-BLOCK")) die();

	/*
	<%%>
	<?xml version="1.0" encoding="UTF-8"?>
	<blockscript>
		<info lang="en">
			<title>Latest poll</title>
			<description>Shows the latest poll</description>
			<author><![CDATA[xiam &lt;<a href="mailto:xiam@users.sourceforge.net">xiam@users.sourceforge.net</a>&gt;]]></author>
			<homepage><![CDATA[<a href="http://www.gekkoware.org">http://www.gekkoware.org</a>]]></homepage>
		</info>
		<variable name="limit">1</variable>
	</blockscript>
	<%%>
	*/

	LoadLib (
		"chart.lib.php", "categories", "polls"
	);

	$db =& $GLOBALS["db"];

	// sql category lock
	$categorylock = categories::db_categorylock("category_id");

	$q = $GLOBALS["db"]->query("SELECT id, question, date_expires FROM ".db_table("polls")."
	WHERE status = '1' AND ($categorylock)
	ORDER BY date_created DESC LIMIT $limit", __FILE__, __LINE__, true);

	$return = Array();
	while ($row = $db->fetchRow($q))
		$return[] = polls::prepareBlockForDisplay($row);

	$return = implode("<hr />", $return);
?>