<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-BLOCK")) die();

	/*
	<%%>
	<?xml version="1.0" encoding="UTF-8"?>
	<blockscript>
		<info lang="en">
			<title>Poll</title>
			<description>Shows: the latests poll (if id = -1), random poll (if id = 0) or the poll specified by it's id</description>
			<author><![CDATA[xiam &lt;<a href="mailto:xiam@users.sourceforge.net">xiam@users.sourceforge.net</a>&gt;]]></author>
			<homepage><![CDATA[<a href="http://www.gekkoware.org">http://www.gekkoware.org</a>]]></homepage>
		</info>
		<variable name="id">-1</variable>
		<variable name="limit">1</variable>
	</blockscript>
	<%%>
	*/

	LoadLib (
		"chart.lib.php", "categories", "polls"
	);

	$db =& $GLOBALS["db"];

	if (!$limit)
		$limit = 1;

	// sql category lock
	$categorylock = categories::db_categorylock("category_id");

	$q = $GLOBALS["db"]->query("SELECT id, question, date_expires FROM ".db_table("polls")."
	WHERE ".(($id < 0) ? "": (($id > 0) ? "id = '{$id}' AND " : ""))." status = '1' AND ($categorylock)
	ORDER BY ".($id ? "date_created DESC" : "RAND()")." LIMIT $limit", __FILE__, __LINE__, true);

	$return = Array();
	while ($row = $db->fetchRow($q))
		$return[] = polls::prepareBlockForDisplay($row);

	$return = implode("<hr />", $return);
?>