<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-BLOCK")) die();

	/*
	<%%>
	<?xml version="1.0" encoding="UTF-8"?>
	<blockscript>
		<info lang="en">
			<title>Blog Categories</title>
			<description>Displays blog entries viewed by category.</description>
			<author><![CDATA[xiam &lt;<a href="mailto:xiam@users.sourceforge.net">xiam@users.sourceforge.net</a>&gt;]]></author>
			<homepage><![CDATA[<a href="http://www.gekkoware.org">http://www.gekkoware.org</a>]]></homepage>
		</info>
	</blockscript>
	<%%>
	*/

	// loading library
	LoadLib("categories");

	// getting category list
	$categories = cacheFunc("categories::fetchAllowed");

	$return = array();
	foreach ($categories as $category) {

		// querying for number of blog entries that match this category
		$q = $GLOBALS["db"]->query("
		SELECT id
		FROM ".db_table("blog")."
		WHERE ".db_languagelock()." AND status = '1' AND category_id = '{$category}'",
		__FILE__, __LINE__, true);

		if (($howmany = $GLOBALS["db"]->numRows($q)) != 0) {
			// adding a link for each category
			$catname = cacheFunc("categories::getCategory", $category, true);
			$return[] = mkLink("index.php/module=blog?category=".urlTitleEncode($catname), "$catname [ <i>$howmany</i> ]");
		}
	}
	$return = implode("<hr />", $return);

?>