<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	// the main pourpose of this kind of file is to be included by another
	// module if exists.

	if (!isset($id))
		abort("Error!");

	// listing entries related to category id $id
	$q = $GLOBALS["db"]->query("SELECT id, icon, title
	FROM ".db_table("blog")."
	WHERE category_id = '{$id}' AND status = '1' ORDER BY date_created DESC LIMIT 8",
	__FILE__, __LINE__, true);

	$data["entries"] = Array();
	// creating links
	while ($buff = $GLOBALS["db"]->fetchRow($q)) {
		$data["entries"][] = Array (
			'Icon'		=> mkIcon($buff["icon"], 16),
			'Title' 	=> mkLink("index.php/module=blog/action=view/title=".urlTitleEncode($buff["title"])."?id={$buff['id']}", $buff['title'])
		);
	}

	// adding module information
	$data["module"] = Array (
		"TITLE" => _l("L_BLOG_ENTRIES"),
		"LINK" => urlEvalPrototype("index.php/module=blog?category=".urlTitleEncode(cacheFunc('categories::getCategory', $id, true)))
	);
?>