<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	require_once GEKKO_SOURCE_DIR."lib/auth.inc.php";

	LoadLib (
		"template.lib.php", "gzenc.lib.php", "categories"
	);

	varImport("selected", "input", "popup");

	// formatting tags input
	$selected = explode(",", $selected);
	$tags = Array();
	foreach ($selected as $tag) {
		$tag = strtolower(trim($tag));
		$tags[$tag] = true;
	}
	$selected = $tags;
	
	// requesting categories
	$q = $db->query ("
	SELECT
		id, title, auth_access
	FROM ".db_table("category")." WHERE status = '1'
	ORDER BY title ASC
	", __FILE__, __LINE__);

	$tpl = new BlockWidget("categories/run.tagchooser.tpl");
	
	while ($row = $db->fetchRow($q)) {
		if (gauth($row["auth_access"])) {
			$tags = categories::categoryGetTags($row["id"]);
			if ($tags) {
				$tpl->reset("CATEGORY.TAG");
				foreach ($tags as $tag) {
				
					$tpl->setArray(
						Array (
							"CHECKED"	=> isset($selected[strtolower($tag)]),
							"TAG_NAME"	=> $tag
						),
					"CATEGORY.TAG");
					
					$tpl->saveBlock("CATEGORY.TAG");
				}
				$tpl->setArray($row, "CATEGORY");
				$tpl->saveBlock("CATEGORY");
			}
		}
	}

	$tpl->setArray (
		Array (
			"POPUP"		=> $popup,
			"INPUT"		=> $input
		)
	);

	gzinit();
		header("content-type: text/html; charset=UTF-8");
		echo $tpl->make();
	gzoutput();

?>