<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-BLOCK")) die();

	/*
	<%%>
	<?xml version="1.0" encoding="UTF-8"?>
	<blockscript>
		<info lang="en">
			<title>Recent comments</title>
			<description>Shows latests comments</description>
			<author><![CDATA[xiam &lt;<a href="mailto:xiam@users.sourceforge.net">xiam@users.sourceforge.net</a>&gt;]]></author>
			<homepage><![CDATA[<a href="http://www.gekkoware.org">http://www.gekkoware.org</a>]]></homepage>
		</info>
		<variable name="limit">8</variable>
	</blockscript>
	<%%>
	*/

	LoadLib (
		"comments", "format.lib.php"
	);

	$db =& $GLOBALS["db"];
	
	$q = $db->query("SELECT id, author_id, nickname, email, url,
	icon, title, content, ipaddr, date_created FROM ".db_table("comment")."
	ORDER BY date_created DESC LIMIT $limit", __FILE__, __LINE__, true);

	$return = array();

	while ($row = $db->fetchRow($q)) {
	
		saneHTML($row, "content");

		$return[] = mklink("index.php/module=comments/action=permalink?id={$row["id"]}", mkicon($row["icon"], 16)." <b>{$row["title"]}</b><br />")
		.mkintro($row["content"], 120)
		."<div class=\"small\" style=\"text-align:right\">"
		."<b>"._l("L_POSTED_BY").":</b> ".Comments::mkuserlink($row)
		."</div>";;

	}

	$return = implode("<hr />\n", $return);
?>