<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	LoadLib ("extensions");

	Extract (
		URLGetArgs("null/null/extension=alpha/action=alpha")
	);

	if (($include = Extensions::GetComponent($extension, "admin")) != false) {

		Extensions::LoadLanguage($extension);

		// is already installed?
		if (!conf::getkey("extensions", $extension)) {
			// no it's not

			require_once Extensions::getComponent($extension, "main");

			call_user_func("extension_{$extension}_install");
			call_user_func("extension_{$extension}_configure");

			conf::setkey("extensions", $extension, 1, "b");

		}

		require $include;

		$tpl = new ContentBlock();
		$tpl->load("extensions/admin.default.tpl");

		$actions = new tplButtonBox();
			$actions->add(mklink("modules/extensions/main.act.php?action=createblock&extension={$extension}&auth={C_AUTH_STR}", _l("L_CREATE_BLOCK"), "blocks.png"));
		$actions = $actions->make();

		$tpl->setArray (
			Array (
				"ACTIONS"			=> $actions,
				"EXTENSION_OUTPUT"	=> $mcBuff
			)
		);
		$mcBuff = $tpl->make();
	}
?>