<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	LoadLib ("extensions");

	$extensions = listdir(GEKKO_EXTENSIONS_DIR);

	foreach ($extensions as $extension) {
		if (($inc = Extensions::GetComponent($extension, "admin")) != false) {
			Extensions::LoadLanguage($extension);
			$Panel->addIcon (
				$Panel->Icon (
					"$extension.png",
					"index.php/module=admin/base=extensions/extension=$extension",
					_l("L_EXTENSION_".strtoupper($extension))
				),
				_l("L_EXTENSIONS")
			);
		}
	}
?>