<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-GEKKO")) die("Get a Life!");

	if (is_admin()) {
		switch ($action) {
			case "createblock":

				LoadLib ("blocks");

				$block_id = Blocks::simpleCreate(
					_l("L_AGGREGATOR"),
					"",
					"extensions/display.php",
					"extension_name={$extension}\nid=$id\nitems=8",
					"aggregator.png"
				);

				$return = urlEvalPrototype("index.php/module=admin/base=blocks/action=edit?id={$block_id}", true, false);

				// avoiding action confusion
				$action = "";
			break;
			case "add":
			
				varImport("url", "type");

				varRequire("url", "type");
				
				$db->query ("
					INSERT INTO ".db_table("extension_aggregator")."
					(
						id,
						url,
						type
					)
						VALUES
					(
						'".$db->findFreeId("extension_aggregator")."',
						'{$url}',
						'{$type}'
					)
				", __FILE__, __LINE__);
				
			break;
			case "delete":
				varRequire("id");
				$db->query("DELETE FROM ".db_table("extension_aggregator")." WHERE id='{$id}'");
			break;
			case "edit":
				varImport("url", "type");

				varRequire("id", "url", "type");
	
				$db->query("
					UPDATE ".db_table("extension_aggregator")." SET
						url = '{$url}',
						type = '{$type}'
					WHERE id = '{$id}'
				", __FILE__, __LINE__);
			break;
		}
	}
?>