<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-BLOCK")) die();

	LoadLib (
		"feedreader.lib.php"
	);

	$db =& $GLOBALS["db"];

	$refresh_interval = conf::getkey("extensions", "aggregator.cache_life");

	if (isset($id)) {

		$q = $db->query("SELECT url, type FROM ".db_table("extension_aggregator")."
		WHERE id='{$id}'", __FILE__, __LINE__, true);

		if ($db->numRows($q)) {

			$row = $db->fetchRow($q);

			extract($row);

			$cache_key = cacheAssignKey($url, $items);

			// checking cache life
			if (($life = cacheCheckLifetime($cache_key)) !== false) {
				// is cached version still valid?
				if ((time() - $life) < $refresh_interval) {
					cacheRead($cache_key, $return);
				}
			}

			if (!$return) {
				// saved cache is not valid!
				if ($url && ($type == "rss" || $type == "atom")) {

					// creating feed reader object
					$feed = ($type == "rss") ? new rss_reader : new atom_reader;

					// properties
					$feed->set_limit($items);

					// syncing
					$feed->sync($url);

					$return = $feed->html;

					// saving in cache
					cacheSave($cache_key, $return);
				}
			}
		}
	}
?>