<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2005, Josu�Gerardo Guti�rez Hdez. <blacknash@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		Josu�Gerardo Guti�rez Hdez. <blacknash@users.sf.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	function extension_friends_configure() {
		conf::getKey("extensions", "friends.items_per_admin_page", 5, "i");
	}
	function extension_friends_install() {
		$GLOBALS["db"]->query("
		CREATE TABLE ".db_table("extension_friends")." (
			id SMALLINT (8) UNSIGNED NOT NULL AUTO_INCREMENT, PRIMARY KEY (ID),
			friend VARCHAR (32),
			url TEXT,
			description TEXT
		)", __FILE__, __LINE__, true);
	}
	function extension_friends_uninstall() {
		$GLOBALS["db"]->query("DROP TABLE IF EXISTS ".db_table("extension_friends"), __FILE__, __LINE__, true);
	}
	function extension_friends_upgrade($provided_v) {
		if (Packages::checkVersion("0.2", $provided_v) < 0) {
			$GLOBALS["db"]->query("ALTER TABLE ".db_table("extension_friends")."
			CHANGE COLUMN URL URL VARCHAR(32)",
			__FILE__, __LINE__);
		}
	}
?>