<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-GEKKO")) die("Get a Life!");

	if (is_admin()) {
		switch ($action) {
			case "createblock":

				LoadLib ("blocks");

				$block_id = Blocks::simpleCreate(
					_l("L_SNAPSHOT"),
					"",
					"extensions/display.php",
					"extension_name={$extension}\nid=$id",
					"snapshot.png"
				);

				$return = urlEvalPrototype("index.php/module=admin/base=blocks/action=edit?id={$block_id}", true, false);

				// avoiding action confusion
				$action = "";
			break;
			case "add":
			
				varImport("title", "image_url", "title", "link");

				varRequire("image_url");
				
				$db->query ("
					INSERT INTO ".db_table("extension_snapshot")."
					(
						id,
						image_url,
						title,
						link
					)
						VALUES
					(
						'".$db->findFreeId("extension_snapshot")."',
						'{$image_url}',
						'{$title}',
						'{$link}'
					)
				", __FILE__, __LINE__);
				
			break;
			case "delete":
				varRequire("id");
				$db->query("DELETE FROM ".db_table("extension_snapshot")." WHERE id='{$id}'");
			break;
			case "edit":
				varImport("id", "title", "image_url", "link");
				varRequire("id");
	
				$db->query("
					UPDATE ".db_table("extension_snapshot")." SET
						title = '{$title}',
						image_url = '{$image_url}',
						link = '{$link}'
					WHERE id = '{$id}'
				", __FILE__, __LINE__);
			break;
		}
	}
?>