<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	switch ($action) {
		default:

			$tpl = new ContentBlock();

			$tpl->insert("BLOCK_CONTENT", GEKKO_EXTENSIONS_DIR."tagboard/templates/admin.tpl");

			$db->query ("
				SELECT
					id, author_id, author_ip, date_created, nickname, link, message
				FROM ".db_table("extension_tagboard")."
				ORDER BY date_created DESC
			", __FILE__, __LINE__);

			while ($row = $db->fetchRow()) {
				saneHTML($row);

				$author = cacheFunc("users::mkUserLink", $row["author_id"]);
				if (!$author)
					$author = "&lt;".safelink($row["link"], $row["nickname"] ? $row["nickname"] : _l("L_ANONYMOUS"))."&gt;";

				$row["nickname"] = $author;

				$tpl->setArray ($row, "MESSAGE");
				$tpl->saveBlock("MESSAGE");
			}

			$tpl->setArray (
				Array (
					"BLOCK_TITLE"	=> _l("L_EXTENSION_TAGBOARD"),
					"BLOCK_ICON"	=> mkIcon("tagboard.png", 16),
					"RETURN"		=> ""
				)
			);

			$mcBuff = $tpl->make();
		break;
	}

?>