<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-BLOCK")) die();

	LoadLib (
		"format.lib.php"
	);

	$return = new ContentBlock();

	$return->load(GEKKO_EXTENSIONS_DIR."tagboard/templates/display.tpl");

	$q = $GLOBALS["db"]->query("SELECT
		id, author_id, date_created, nickname, link, message
		FROM ".db_table("extension_tagboard")."
		ORDER BY date_created DESC", __FILE__, __LINE__, true);

	$messages = 0;

	$gbbp = new GBBCodeParser();
	while ($row = $GLOBALS["db"]->fetchRow($q)) {

		if ($messages >= conf::getKey("extensions", "tagboard.max.items")) {

			// deleting exceess of items
			$p = $GLOBALS["db"]->query("DELETE FROM ".db_table("extension_tagboard")."
			WHERE id = '{$row["id"]}'", __FILE__, __LINE__, true);

		} else {

			saneHTML($row);

			$author = cacheFunc("users::mkUserLink", $row["author_id"]);
			if (!$author)
				$author = "&lt;".safelink($row["link"], $row["nickname"] ? $row["nickname"] : _l("L_ANONYMOUS"))."&gt;";

			$row["nickname"] = $author;

			$row["message"] = $gbbp->smile(breakWords($row["message"]));
			$row["date_created"] = dateFormat($row["date_created"]);

			$return->setArray($row, "MESSAGE");

			$return->saveBlock("MESSAGE");
		}
		$messages++;
	}
	unset($gbbp);

	$return->setArray (
		Array (
			"ACTION"		=> "post",
			"NICKNAME"		=> "",
			"LINK"			=> "",
			"RETURN"		=> ""
		)
	);

	$return = $return->make();
?>