<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	Extract (
		URLGetArgs ("null/null/null?id=int&city=data&accid=alpha")
	);

	switch ($action) {
		case "search":

			loadlib("network.lib.php");

			$http = new httpSession("www.weather.com", 80);

			$buff = $http->get("/search/enhanced?where=".urlencode($city)."");

			$http->close();

			preg_match_all("/.*\/local\/([A-Z0-9]*)\?from=.*<B>(.*?)<\/B>/", $buff, $match);

			if (isset($match[2]) && count($match[2])) {

				if (count($match[2]) > 1) {
					$tpl = new ContentBlock();
					$tpl->insert("BLOCK_CONTENT", GEKKO_EXTENSIONS_DIR."weather/templates/search.form.tpl");

					foreach ($match[1] as $i => $accid) {
						$tpl->setArray(
							Array (
								"ACCID" => $match[1][$i],
								"CITY" => $match[2][$i]
							), "RESULT"
						);
						$tpl->saveBlock("RESULT");
					}

					$tpl->setArray (
						Array (
							"BLOCK_ICON"	=> mkicon("weather.png"),
							"BLOCK_TITLE"	=> _l("L_TITLE")
						)
					);

					$mcBuff = $tpl->make();
				} else {
					redirect("index.php/module=admin/base=extensions/extension=weather?accid=".$match[1][0]."&city=".urlencode($match[2][0]));
					shutdown();
				}
			} else {
				$mcBuff = mkMessageBox("error", _l("L_NOT_FOUND"));
			}

		break;
		case "edit":
			if ($id) {

				$tpl = new ContentBlock();

				$tpl->insert("BLOCK_CONTENT", GEKKO_EXTENSIONS_DIR."weather/templates/admin.tpl");

				$q = $db->query("
					SELECT id, accid, city, temp_unit FROM ".db_table("extension_weather")." WHERE id = '{$id}'
				");

				if ($db->numRows($q)) {
					$row = $db->fetchRow($q);
					saneHTML($row);

					$tpl->setArray (
						Array (
							"BLOCK_TITLE"		=> _l("L_EXTENSION_WEATHER"),
							"BLOCK_ICON"		=> mkIcon("weather.png", 16),
							"ACTION"			=> "edit",
							"RETURN"			=> "index.php/module=admin/base=extensions/extension=weather"
						)

					);

					$tpl->setArray($row);

					$mcBuff = $tpl->make();
				}
			}

		break;
		default:
			$tpl = new ContentBlock();

			$tpl->insert("BLOCK_CONTENT", GEKKO_EXTENSIONS_DIR."weather/templates/admin.tpl");

			$q = $db->query ("
				SELECT
					id, temp_unit, city, accid
				FROM ".db_table("extension_weather")."
				ORDER BY id ASC
			", __FILE__, __LINE__);

			while ($row = $db->fetchRow($q)) {

				$row["ACTIONS"] = new tplButtonBox();
					$row["ACTIONS"]->add(mklink("index.php/module=admin/base=extensions/extension=weather/action=edit?id={$row["id"]}", _l("L_EDIT"), "edit.png"));
					$row["ACTIONS"]->add(mklink("modules/extensions/main.act.php?extension=weather&action=delete&id={$row["id"]}&auth={C_AUTH_STR}", _l("L_DELETE"), "delete.png", true));
					$row["ACTIONS"]->add(mklink("modules/extensions/main.act.php?action=createblock&extension=weather&id={$row["id"]}&auth={C_AUTH_STR}", _l("L_CREATE_BLOCK"), "blocks.png"));
				$row["ACTIONS"] = $row["ACTIONS"]->make();

				$tpl->setArray($row, "WEATHER");
				$tpl->saveBlock("WEATHER");
			}

			$tpl->setArray (
				Array (
					"BLOCK_TITLE"		=> _l("L_EXTENSION_WEATHER"),
					"BLOCK_ICON"		=> mkIcon("weather.png", 16),
					"ACCID"				=> $accid,
					"TEMP_UNIT"			=> "0",
					"CITY"				=> $city,
					"ACTION"			=> "add",
					"RETURN"			=> ""
				)
			);
			$mcBuff = $tpl->make();
		break;
	}
?>