<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	define ("IN-GEKKO", true);

	require_once "../../conf.php";

	LoadLib ("extensions");

	require_once GEKKO_SOURCE_DIR."lib/auth.inc.php";

	varImport("action", "id", "return", "extension");

	if (($include = Extensions::GetComponent($extension, "action")) != false) {

		Extensions::LoadLanguage($extension);

		include $include;
	} else {

		abort(acessDenied());

	}

	if (is_admin()) {
		switch ($action) {

			case "createblock":

				Extensions::LoadLanguage($extension);

				LoadLib ("blocks");

				$block_id = Blocks::simpleCreate(
					_l("L_EXTENSION_".strtoupper($extension).""),
					"",
					"extensions/display.php",
					"extension_name={$extension}",
					"$extension.png"
				);

				$return = urlEvalPrototype("index.php/module=admin/base=blocks/action=edit?id={$block_id}", true, false);

			break;
		}
	}

	redirect($return);

	db_exit();
?>