<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	define("GEKKO_EXTENSIONS_DIR", GEKKO_SOURCE_DIR."modules/extensions/extensions/");

	Class Extensions {
		function GetComponent($extension, $file) {
			$extension = preg_replace("/[^a-z0-9A-Z]/", "", $extension);
			if (file_exists($path = GEKKO_EXTENSIONS_DIR."$extension/$file.php"))
				return $path;
		
			return false;
		}
		function LoadLanguage($extension) {
			if ((file_exists($lang = GEKKO_EXTENSIONS_DIR."$extension/lang/".getLang().".php")) != false)
				include_once $lang;
			return true;
		}	
	}
?>