<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-BLOCK")) die();

	/*
	<%%>
	<?xml version="1.0" encoding="UTF-8"?>
	<blockscript>
		<info lang="en">
			<title>Recent Posts</title>
			<description>Recent messages posted in forums</description>
			<author><![CDATA[xiam &lt;<a href="mailto:xiam@users.sourceforge.net">xiam@users.sourceforge.net</a>&gt;]]></author>
			<homepage><![CDATA[<a href="http://www.gekkoware.org">http://www.gekkoware.org</a>]]></homepage>
		</info>
		<variable name="limit">5</variable>
	</blockscript>
	<%%>
	*/

	LoadLib (
		"forums", "format.lib.php"
	);

	$frm_lock = forums::getAllowedCategories(true, "f.category_id");

	$db =& $GLOBALS["db"];

	$q = $db->query("SELECT
	m.id, m.icon, m.title, m.topic_id, m.author_id, m.nickname, m.contact_mail, t.forum_id, f.category_id
	FROM ".db_table("forum_message")." m, ".db_table("forum_thread")." t,
	".db_table("forum_forum")." f, ".db_table("forum_category")." c
	WHERE
	m.topic_id = t.id AND t.forum_id = f.id AND f.category_id = c.id AND ($frm_lock)
	ORDER BY date_created
	DESC LIMIT $limit", __FILE__, __LINE__, true);

	$return = Array();
	while ($row = $db->fetchRow($q)) {
		saneHTML($row);

		$return[] = '<a href="'.urlEvalPrototype("index.php/module=forums?path={$row["category_id"]}.{$row["forum_id"]}.{$row["topic_id"]}.{$row["id"]}").'">'
		.mkicon($row["icon"] ? $row["icon"] : "message.png")." {$row["title"]}".'</a><br />'
		._L("L_POSTED_BY").' '.forums::mkuserlink($row)."\n";
	}
	$return = implode("<hr />\n", $return);
?>