<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	Extract (
		URLGetArgs('/null/action=alpha/term=string?page=int')
	);

	switch ($action) {
		case "view":
			if ($term) {

				$q = $db->query ("
				SELECT
					id, term, url, description, author_id
				FROM ".db_table("glossary")."
				WHERE term = '$term'
				", __FILE__, __LINE__);

				if ($db->numRows($q)) {

					$tpl = new ContentBlock();
					$tpl->insert("BLOCK_CONTENT", "glossary/main.view.tpl");

					$row = $db->fetchRow($q);
					saneHTML($row, "description");
					format::style($row["description"], $row["author_id"]);

					if ($row["url"])
						$row["term"] = mklink($row["url"], $row["term"]);

					$tpl->setArray($row);
					$tpl->setArray (
						Array (
							"BLOCK_TITLE" => _l("L_GLOSSARY"),
							"BLOCK_ICON" => mkicon("glossary.png")
						)
					);

					$mcBuff = $tpl->make();
				}
			}
		break;
		default:

			$pager = $db->pager (
				"SELECT id FROM ".db_table("glossary"),
				"index.php/module=glossary?page=%p", $page,
				conf::getkey("glossary", "items_per_page")
			);

			$q = $db->query ("
			SELECT
				id, term, url, description, author_id
			FROM ".db_table("glossary")."
			ORDER BY term DESC {$pager['sql']}
			", __FILE__, __LINE__);

			if ($db->numRows($q)) {

				$tpl = new ContentBlock();
				$tpl->insert("BLOCK_CONTENT", "glossary/main.default.tpl");

				while ($row = $db->fetchRow($q)) {

					saneHTML($row, "description");

					format::style($row["description"], $row["author_id"]);

					if ($row["url"])
						$row["term"] = mklink($row["url"], $row["term"]);

					$tpl->setArray($row, "TERM");

					$tpl->saveBlock("TERM");
				}

				$tpl->setArray (
					Array (
						"BLOCK_TITLE" => _l("L_GLOSSARY"),
						"BLOCK_ICON" => mkicon("glossary.png"),
						"PAGER"	=> $pager["html"]
					)
				);

				$mcBuff = $tpl->make();

			}
		break;
	}

?>