<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	Extract (
		URLGetArgs ("null/action=alpha?id=alpha&page=int'")
	);

	switch ($action) {
		case "view":
			if ($id) {

				$q = $db->query ("SELECT *, round((date-NOW())/1000000) as remaining_days
				FROM ".db_table("memos")."WHERE id='$id'",
				__FILE__, __LINE__);

				if ($db->numRows($q)) {

					$tpl = new ContentBlock();
					$tpl->insert("BLOCK_CONTENT", "memos/main.view.tpl");

					$row = $db->fetchRow($q);
					saneHTML($row, "description");

					$tpl->setArray($row);
					$tpl->setArray (
						Array (
							"BLOCK_TITLE" => $row["event"],
							"BLOCK_ICON" => mkicon("memos.png")
						)
					);

					$mcBuff = $tpl->make();
				}
			}
		break;
		default:

			$pager = $db->pager (
				"SELECT id FROM ".db_table("memos"),
				"index.php/module=memos?page=%p", $page,
				conf::getkey("memos", "items_per_page")
			);

			$q = $db->query("SELECT *,round((date-NOW())/1000000) as remaining_days
			FROM ".db_table("memos") ." WHERE timefordate <= NOW()
			AND date >= NOW() ORDER BY remaining_days ASC",__FILE__, __LINE__);

			if ($db->numRows($q)) {
				$tpl = new ContentBlock();
				$tpl->insert("BLOCK_CONTENT", "memos/main.default.tpl");
				while ($row = $db->fetchRow($q)) {
					saneHTML($row, "description");
					$row["event"] = mklink("index.php/module=memos/action=view?id={$row["id"]}", $row["event"]);
					$tpl->setArray($row, "MEMO");
					$tpl->saveBlock("MEMO");
				}
				$tpl->setArray (
					Array (
						"BLOCK_ICON"	=> mkIcon("memos.png", 16),
						"BLOCK_TITLE"	=> _l("L_MEMOS"),
						"PAGER"			=> $pager["html"]
					)
				);
				$mcBuff = $tpl->make();
			}
		break;
	}
?>