<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2006, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sourceforge.net>
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	loadLib (
		"categories"
	);

	Class Pages {
		function createItemLink($id, $only_url = false, $custom_url = null) {

			$db =& $GLOBALS["db"];

			$q = $db->query("SELECT title FROM ".db_table("page")."
			WHERE id='{$id}'",
			__FILE__, __LINE__, true);

			if ($db->numRows($q)) {
				$row = $db->fetchRow($q);
				$row["icon"] = "pages.png";
				if ($only_url) {
					return urlEvalPrototype("index.php/module=pages/title=".urlTitleEncode($row["title"])."?id=$id");
				} else {
					return mkicon($row["icon"], 16)." ".mklink($custom_url ? $custom_url :"index.php/module=pages/title=".urlTitleEncode($row["title"])."?id=$id", $row["title"]);
				}
			}
			return false;
		}
		function proccessSearch($query_id, $limit = -1) {
			$db =& $GLOBALS["db"];

			$data = Array();

			for ($i = 0; ($limit < 0 || $i < $limit) && $row = $db->fetchRow($query_id); $i++) {
				$row["title"] = mklink("index.php/module=pages/title=".urlTitleEncode($row["title"]), $row["title"]);
				$row["description"] = $row["content"];
				$row["icon"] = "pages.png";

				if (gauth("pages")) {
					$row["actions"] = new tplButtonBox();
						$row["actions"]->add(mklink("index.php/module=admin/base=pages/action=edit?id={$row["id"]}", _l("L_EDIT"), "edit.png"));
						$row["actions"]->add(mklink("modules/pages/main.act.php?action=delete&id={$row["id"]}&auth={C_AUTH_STR}", _l("L_DELETE"), "delete.png", true));
					$row["actions"] = $row["actions"]->make();
				}

				$data[] = $row;
			}
			return $data;
		}
		function getPossibleStatus() {
			return array(_l("L_DRAFT"), _l("L_PUBLISHED"));
		}
		function deleteItem($id) {
			slog("pages: deleted -- '$id'", "actions", 1);
			return $GLOBALS["db"]->query ("DELETE FROM ".db_table("page")." WHERE ID='".$id."'", __FILE__, __LINE__, true);
		}
		function  setItemStatus($id, $status) {
			return $GLOBALS["db"]->query ("UPDATE ".db_table("page")." SET Status = '".$status."' WHERE ID='".$id."'", __FILE__, __LINE__, true);
		}
	}
?>